Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.comparison.CompareResults Class Reference

## Public Member Functions
| CompareResults ()
| Constructor.
| CompareResults (CompareResultInfoArray base_doc_results, CompareResultInfoArray compared_doc_results)
| Constructor, with parameters. More...
| CompareResults (CompareResults compare_results)
| Constructor, with another compare results object. More...
void | clear ()
| Clear all the result information. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
CompareResultInfoArray | getBase_doc_results ()
| Get a result information array, which contains all the compared results of a PDF page (which has been compared) in the base document. More...
CompareResultInfoArray | getCompared_doc_results ()
| Get a result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document. More...
void | setBase_doc_results (CompareResultInfoArray value)
| Set a result information array, which contains all the compared results of a PDF page (which has been compared) in the base document. More...
void | setCompared_doc_results (CompareResultInfoArray value)
| Set a result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document. More...

## Detailed Description

This class contains all the results of a comparison process, including the results in both base document and compared document. This class is used as the return type of function Comparison.doCompare .

See also
  Comparison .

## Constructor & Destructor Documentation

## ◆ CompareResults() [1/2]

com.foxit.sdk.addon.comparison.CompareResults.CompareResults | ( | CompareResultInfoArray | base_doc_results,
|  | CompareResultInfoArray | compared_doc_results
| ) |  |

Constructor, with parameters.

Parameters

  [in] | base_doc_results | Compare results of base document.
  [in] | compared_doc_results | Compare results of compared document.

## ◆ CompareResults() [2/2]

com.foxit.sdk.addon.comparison.CompareResults.CompareResults | ( | CompareResults | compare_results | ) |

Constructor, with another compare results object.

Parameters

  [in] | compare_results | Another compare results object.

## Member Function Documentation

## ◆ clear()

void com.foxit.sdk.addon.comparison.CompareResults.clear | ( |  | ) |

Clear all the result information.

Returns
  None.

## ◆ delete()

synchronized void com.foxit.sdk.addon.comparison.CompareResults.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBase_doc_results()

com.foxit.sdk.addon.comparison.CompareResults.getBase_doc_results | ( |  | ) |

Get a result information array, which contains all the compared results of a PDF page (which has been compared) in the base document.

Returns
  A result information array, which contains all the compared results of a PDF page (which has been compared) in the base document.

## ◆ getCompared_doc_results()

com.foxit.sdk.addon.comparison.CompareResults.getCompared_doc_results | ( |  | ) |

Get a result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document.

Returns
  A result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document.

## ◆ setBase_doc_results()

com.foxit.sdk.addon.comparison.CompareResults.setBase_doc_results | ( | CompareResultInfoArray | value | ) |

Set a result information array, which contains all the compared results of a PDF page (which has been compared) in the base document.

Parameters

  [in] | value | A result information array, which contains all the compared results of a PDF page (which has been compared) in the base document.

Returns
  None.

## ◆ setCompared_doc_results()

com.foxit.sdk.addon.comparison.CompareResults.setCompared_doc_results | ( | CompareResultInfoArray | value | ) |

Set a result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document.

Parameters

  [in] | value | A result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document.

Returns
  None.